[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# TSerializedMapHeader

Record describing binary file header

## Declaration

Source position: charset.pp line 56

`type TSerializedMapHeader = packed record`
`cpName: string;` |  | Code page name
`cp: UInt16;` |  | Numerical code page identifier
`mapLength: UInt32;` |  | Map length
`lastChar: Int32;` |  | Last character in map
`reverseMapLength: UInt32;` |  | Reverse map length
`end;`

## Description

TSerializedMapHeader is a record describing the binary map data file. The contents of this record can be found at offset zero of a (.bcm) file containing a single-byte Unicode map.

## See also

loadbinaryunicodemapping |  | Load binary single-byte codepage to Unicode map from file or memory